Bug 142419 - Python version should be more flexible in pyxf86config's spec file
Python version should be more flexible in pyxf86config's spec file
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pyxf86config (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-09 12:25 EST by Robert Scheck
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-29 15:34:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2004-12-09 12:25:36 EST
Description of problem:
Python version should be more flexible in pyxf86config's spec file -
the requirement to python is already this way...

Version-Release number of selected component (if applicable):
pyxf86config-0.3.19-2

Actual results / Expected results:
@@ -24,7 +24,7 @@

 %build
 export CFLAGS="$RPM_OPT_FLAGS -fPIC"
-%configure --x-libraries=/usr/X11R6/%{_lib} --with-python-version=2.4
+%configure --x-libraries=/usr/X11R6/%{_lib} --with-python-version=%(%{__python} -c "import sys; print sys.version[:3]")
 make

 %install
Comment 1 Warren Togami 2005-03-29 15:34:19 EST
rawhide tomorrow

Note You need to log in before you can comment on or make changes to this bug.